<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<!-- Generated Apr 28, 2017 12:20:55 PM by Hibernate Tools 4.3.1 -->
<hibernate-mapping>
    <class name="sk.stuba.fiit.dp.xhudecm1.smsgatewayserverdbmapper.MobileNumbers" table="mobile_numbers" schema="public" optimistic-lock="version">
        <id name="id" type="java.lang.Long">
            <column name="id" />
            <generator class="sequence">
                <param name="sequence">mobile_numbers_id_seq</param>
            </generator>
        </id>
        <many-to-one name="classOperatorType" class="sk.stuba.fiit.dp.xhudecm1.smsgatewayserverdbmapper.ClassOperatorType" fetch="select">
            <column name="operator_id" />
        </many-to-one>
        <many-to-one name="registeredUser" class="sk.stuba.fiit.dp.xhudecm1.smsgatewayserverdbmapper.RegisteredUser" fetch="select">
            <column name="user_id" />
        </many-to-one>
        <property name="mobileNumber" type="string">
            <column name="mobile_number" />
        </property>
        <property name="description" type="string">
            <column name="description" />
        </property>
        <property name="modifiedAt" type="timestamp">
            <column name="modified_at" length="29" />
        </property>
        <property name="createdAt" type="timestamp">
            <column name="created_at" length="29" />
        </property>
        <set name="clientSecureCommunicationDataHistories" table="client_secure_communication_data_history" inverse="true" lazy="true" fetch="select">
            <key>
                <column name="mobile_number_id" />
            </key>
            <one-to-many class="sk.stuba.fiit.dp.xhudecm1.smsgatewayserverdbmapper.ClientSecureCommunicationDataHistory" />
        </set>
        <set name="clientSecureCommunicationDatas" table="client_secure_communication_data" inverse="true" lazy="true" fetch="select">
            <key>
                <column name="mobile_number_id" unique="true" />
            </key>
            <one-to-many class="sk.stuba.fiit.dp.xhudecm1.smsgatewayserverdbmapper.ClientSecureCommunicationData" />
        </set>
        <set name="smsTechnicals" table="sms_technical" inverse="true" lazy="true" fetch="select">
            <key>
                <column name="mobile_number_id" />
            </key>
            <one-to-many class="sk.stuba.fiit.dp.xhudecm1.smsgatewayserverdbmapper.SmsTechnical" />
        </set>
    </class>
</hibernate-mapping>
